Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Driver ATI non più funzionanti dopo aggiornamento
#1
Salve a tutti.
Uso ubuntu mate remix e aggiornando il sistema si sono aggiornati anche i driver fglrx e non funzionano più. Ho provato ad aprire driver aggiuntivi e non trova nessun driver nemmeno dopo averli disinstallati da synaptic. Ho provato anche ad installare xubuntu, ma anche con un sistema nuovo driver aggiuntivi non trova niente allora li ho installati da synaptic ma non funzionano eppure da quando uso ubuntu ha sempre trovato ed installato tranquillamente i driver video. Qualcuno sa come risolvere questo problema? Grazie in anticipo.
 

 
Cita messaggio
#2
ciao, purtroppo io non uso ati e non ti so indirizzare con certezza. leggo in questi giorni diversi post simili al tuo ed ancora non ho trovato una risposta che risolva. ho visto però sul blog di matteo questo:
http://ubuntufast.blogspot.it/2012/07/ub...-dopo.html
io un tentativo lo farei, si tratta di disinstallare i proprietari ed installare quelli di default.

dopo che ti ho risposto, sono andato sul balcone a fumare una sigaretta e..... pensando alla problematica, ho fatto un semplice ragionamento. dopo l'aggiornamento non ti rileva più la tua video, quindi dipende dal kernel. io proverei entrando in modalità ripristino ed avvierei dal kernel precedente quello con il numero più basso. avviato il sistema da gestore pacchetti andrei ad eliminare il nuovo kernel in modo da avere sempre l'avvio con il vecchio. riavvio ed ora controlla da driver aggiuntivi se ti appare la scelta e come funziona. è un tentativo ma qualche cosa bisogna pur fare.
Cita messaggio
#3
Che scheda video hai e quale versione di *buntu stai usando? senza queste due info non posso linkarti i driver adeguati
Il mio blog su Ubuntu: trucchi, consigli e guide

Notebook HP G62 con Debian Jessie (testing) Xfce
Samsung Galaxy Tab 2 con CyanogenMod 11
Samsung Galaxy W con CyanogenMod 9 
Cita messaggio
#4
Uso ubuntu mate remix 12.04 su scheda video ati mobility radeon hd 4650.

 
Cita messaggio
#5
(12-02-2014, 15:54 )'Bruce' Ha scritto: Uso ubuntu mate remix 12.04 su scheda video ati mobility radeon hd 4650.

 

 

ok... da synaptic rimuovi (se ancora ci fossero installati) i pacchetti fglrx e fglrx-updates.
poi apri il terminale e dai:
sudo apt-get autoremove
riavvia il sistema

dai il seguente comando
sudo apt-get install fglrx

se l'installazione procede bene riavvia il pc, avrai i driver installati, se qualcosa va storto post qui l'output del terminale
Il mio blog su Ubuntu: trucchi, consigli e guide

Notebook HP G62 con Debian Jessie (testing) Xfce
Samsung Galaxy Tab 2 con CyanogenMod 11
Samsung Galaxy W con CyanogenMod 9 
Cita messaggio
#6
(12-02-2014, 22:20 )Matteo Ha scritto:
(12-02-2014, 15:54 )'Bruce' Ha scritto: Uso ubuntu mate remix 12.04 su scheda video ati mobility radeon hd 4650.

 

 

ok... da synaptic rimuovi (se ancora ci fossero installati) i pacchetti fglrx e fglrx-updates.
poi apri il terminale e dai:
sudo apt-get autoremove
riavvia il sistema

dai il seguente comando
sudo apt-get install fglrx

se l'installazione procede bene riavvia il pc, avrai i driver installati, se qualcosa va storto post qui l'output del terminale
ciao matteo, scusa se divago, ma cosa è successo con l'ultimo aggiornamento di 12.04. diversi post lamentano inconvenienti e tutti con ati.
Cita messaggio
#7
I driver non funzionano. Ecco il post del terminale:


bruce@bruce-Satellite-L550 ~ $ sudo apt-get install fglrx
[sudo] password for bruce:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno inoltre installati:
  fglrx-amdcccle
I seguenti pacchetti NUOVI saranno installati:
  fglrx fglrx-amdcccle
0 aggiornati, 2 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 0 B/55,1 MB di archivi.
Dopo quest'operazione, verranno occupati 156 MB di spazio su disco.
Continuare [S/n]? s
Selecting previously unselected package fglrx.
(Lettura del database... 184532 file e directory attualmente installati.)
Estrazione di fglrx (da .../fglrx_2%3a13.101-0ubuntu0.0.1_i386.deb)...
Selecting previously unselected package fglrx-amdcccle.
Estrazione di fglrx-amdcccle (da .../fglrx-amdcccle_2%3a13.101-0ubuntu0.0.1_i386.deb)...
Elaborazione dei trigger per bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Elaborazione dei trigger per desktop-file-utils...
Elaborazione dei trigger per ureadahead...
ureadahead will be reprofiled on next reboot
Configurazione di fglrx (2:13.101-0ubuntu0.0.1)...
update-alternatives: viene usato /usr/lib/fglrx/ld.so.conf per fornire /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in modalità automatica.
update-alternatives: attenzione: saltata la creazione di /usr/lib32/libaticalcl.so poiché il file /usr/lib32/fglrx/libaticalcl.so associato (del gruppo i386-linux-gnu_gl_conf) non esiste.
update-alternatives: attenzione: saltata la creazione di /usr/lib32/libaticalrt.so poiché il file /usr/lib32/fglrx/libaticalrt.so associato (del gruppo i386-linux-gnu_gl_conf) non esiste.
update-alternatives: viene usato /usr/lib/fglrx/alt_ld.so.conf per fornire /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in modalità automatica.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-13.101 DKMS files...
Building only for 3.2.0-58-generic
Building for architecture i386
Building initial module for 3.2.0-58-generic
Done.

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-58-generic/kernel/drivers/char/drm/

depmod........

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Elaborazione dei trigger per bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Configurazione di fglrx-amdcccle (2:13.101-0ubuntu0.0.1)...
Elaborazione dei trigger per initramfs-tools...
update-initramfs: Generating /boot/initrd.img-3.2.0-58-generic
Warning: No support for locale: it_IT.utf8
Elaborazione dei trigger per libc-bin...
ldconfig deferred processing now taking place
bruce@bruce-Satellite-L550 ~ $

 
Cita messaggio
#8
Bruce ma con i driver liberi che problemi hai??? Perche dici che non funzionano quelli instalati??? Non si attivano???
Cita messaggio
#9
Ti invio l' immagine della schermata errore.

http://imageshack.com/a/img30/2530/o5jk.png
Cita messaggio
#10
(12-02-2014, 23:16 )'Bruce' Ha scritto: Ti invio l' immagine della schermata errore.

http://imageshack.com/a/img30/2530/o5jk.png

 

un conto è che il Catalyst Control Center non funzioni, un conto è che non funzionino i driver! Il CCC crasha spessissimo sulla 12.04, e su Linux in generale non si può proprio fare affidamente su quel software.

Quindi, se non hai ancora rimosso i driver che prima hai installato (e mi sembra fosse tutto ok guardando il responso del terminale!) da il seguente comando:
Codice PHP:
sudo lshw -c display grep driver 
e poi posta qui il risultato. se contiene la dicitura "fglrx" allora è tutto ok.

Se hai disabilitato i driver senza averli disinstallati, allora riavviali col comando


Codice:
sudo aticonfig --initial -f

e poi riavvia il pc. poi ridai il comando per controllare che gli fglrx siano attivi. 

@dxgiusti: credo ci sia stato l'aggiornamento alla versione 13.12 (del dicembre scorso) dei driver ati. purtroppo con i driver proprietari capitano inconvenienti durante gli aggiornamenti, specie se (come credo sia capitato in questo periodo) si fanno aggiornamenti al kernel (mi pare che si sia passati da Ubuntu 12.04.x a Ubuntu 12.04.x+1 o sbaglio?) insieme a quelli ai driver.
Il mio blog su Ubuntu: trucchi, consigli e guide

Notebook HP G62 con Debian Jessie (testing) Xfce
Samsung Galaxy Tab 2 con CyanogenMod 11
Samsung Galaxy W con CyanogenMod 9 
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)